## What is it?

AdminLTE is a Bootstrap based framework to create admin like webinterfaces.

To get an inpression: 2 entry points for AdminLTE are:

* source: <https://adminlte.io/themes/v3/starter.html>
* docs:   <https://adminlte.io/docs/3.2/index.html>

The AdminLTE renderer is a PHP class offers several methods to render

* the page
* layout elements
* components you can use on the page
  * navigation
  * grid
  * boxes
  * buttons
  * ...

The class is compatible to PHP 7+8 ... up to PHP 8.2.

## Screenshots

Overview of all handled widgets

![Screenshot](/images/component_overview.png)

For each widget there is a live editor with all variables. Pre defined values can be selected from a dropdown.

You see the PHP source code of your input and what is rendered plus its html source.

![Screenshot](/images/component_live_editor.png)

Next to a select box there is a buton [Loop]. It generates a preview with all values of the selected option.

BTW: there is also a loop to render all values at once.

![Screenshot](/images/component_var_loop.png)
